Subject: Re: [v6ops] Scope of Unique Local IPv6 Unicast Addresses (Fwd: New Version Notification for draft-gont-6man-ipv6-ula-scope-00.txt)

From: "Templin (US), Fred L" <[email-masked]>
Date: Thu, 18 Feb 2021 21:57:42 +0000

Ted, that is fine but I think there is a new scope to be considered – call it “MANET-local”
scope. I think HITs would be useful for MANET-local scope communications, but a real
GUA would be needed for global-scope communications should the MANET ever
connect to the global Internet (and GUAs can be gotten with good old DHCPv6 PD).

Yes, ULAs could also be used for MANET-local scope communications instead of HITs.
But, as Brian observed, HITs are like ULAs on steroids and they are generated based
on a cryptographic hash of the node’s public key – which seems like it ought to be
good for something.

Fred

From: Ted Lemon [mailto:[email-masked]]
Sent: Thursday, February 18, 2021 1:06 PM
To: Templin (US), Fred L <[email-masked]>
Cc: Fernando Gont <[email-masked]>; IPv6 Operations <[email-masked]>; [email-masked]
Subject: Re: [v6ops] Scope of Unique Local IPv6 Unicast Addresses (Fwd: New Version Notification for draft-gont-6man-ipv6-ula-scope-00.txt)

On Feb 18, 2021, at 2:46 PM, Templin (US), Fred L <[email-masked]<mailto:[email-masked]>> wrote:
I actually think HITs are a bit of a gray area. According to RFC7343, they are
formed from the GUA prefix 2001:20::/28 but the remaining bits following
the ::/28 prefix are cryptographically generated and hence non-aggregatable.
That means that there is no way to represent a group of them in the routing
system using any other prefix length than /128.

RFC 4007 doesn’t say that they can be aggregated. It just says that they are globally unique.

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Thu, 18 Feb 2021 23:03:33 +0000

David, independent of how “scope” is defined, nodes that connect to MANETs that
have no infrastructure connections will need to use some kind of IPv6 address for
MANET-local communications. LLAs are out, because they can only travel 1 hop and
MANETs are by definition multihop. ULA-Ds are possible, but when a hodgepodge
of nodes come together to form a MANET there is no guarantee they will all share
a common Global-ID and Subnet-ID. ULA-Cs are a mystery because no one has
defined how to use that space yet. So, that leaves HITs which by their nature are
not aggregatable beyond /128. In that way, HITs look like GUAs but they are in
some ways of a lesser “scope” than (aggregatable) GUAs – so it seems like there
should be some way to capture that.

Fred

From: David Farmer [mailto:[email-masked]]
Sent: Thursday, February 18, 2021 2:52 PM
To: Templin (US), Fred L <[email-masked]>
Cc: Fernando Gont <[email-masked]>; IPv6 Operations <[email-masked]>; [email-masked]
Subject: [EXTERNAL] Re: [v6ops] Scope of Unique Local IPv6 Unicast Addresses (Fwd: New Version Notification for draft-gont-6man-ipv6-ula-scope-00.txt)

EXT email: be mindful of links/attachments.

So let's be clear "IPv6 Address Scope" does not really have the general meaning of the word "scope", it has a very specific meaning that in my opinion boils down to are Zone Indexes or Identifiers needed to uniquely identify them.

There is an argument to be made that ULAs should be Scoped, and if they were globally reachable they would have to be Scoped. Nevertheless, they are not globally reachable, and therefore so while it is possible that there is another user of the same ULA prefix you are using. But, if you follow the algorithm, in RFC4193 for allocation, the probability of that duplicate user ever being reachable by you is very-very small.

So then do you want to use Zone Indexes or Identifiers with MANET? I doubt it, personally, I believe that would effectively make MANET unusable by most users.

Thanks

On Thu, Feb 18, 2021 at 2:11 PM Templin (US), Fred L <[email-masked]<mailto:[email-masked]>> wrote:
Fernando,

Then, let's have a scope for "MANET-local" scope which is what you get when
you have a small collection of (probably) mobile nodes that form a network
between themselves without the support of any infrastructure. I think HITs
would make for fine IPv6 addresses within the MANET-local scope, but if the
MANET ever connects to the global Internet then nodes will also want to get
a *real* GUA (served by the infrastructure) to go along with the HIT they
already have.

Did I mention HITs are self-generated, and not delegated by some
infrastructure node?

Fred

> -----Original Message-----
> From: Fernando Gont [mailto:[email-masked]<mailto:[email-masked]>]
> Sent: Thursday, February 18, 2021 11:53 AM
> To: Templin (US), Fred L <[email-masked]<mailto:[email-masked]>>; IPv6 Operations <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
> On 18/2/21 16:46, Templin (US), Fred L wrote:
> [...]
> >>
> >> Hi, Fred,
> >>
> >> On 18/2/21 16:11, Templin (US), Fred L wrote:
> >> [...]
> >>>> On 18/2/21 14:37, Templin (US), Fred L wrote:
> >>>>> Another aspect I failed to mention is that the use of (H)HITs does not
> >>>>> necessarily  mean that all aspects of the HIP protocol must be used. (H)HITs could be
> >>>>> used with the AERO/OMNI services instead, for example.
> >>>>
> >>>> Questions: Are these addresses globally-unique?
> >>>
> >>> Yes - global uniqueness is a key objective of (H)HIT. Aggregation is not within
> >>> scope, however.
> >>
> >> If that's the case, then, according to RFC4007, they are global addresses.
> >
> BUt according to RFC4007, the scope is defined by the topological span
> where the address is meaningful....
>
>
> That's not a requirement when it comes to "scope".
>
>
>
> >> (I'd argue that if they cannot be aggregated, that's because they
> >> resulting "addresses" are not really topologically-dependent, in which
> >> case you might probably argue that they are not addresses in the first
> >> place :-) )
> >
> > Not in terms of routing across the global Internet, no, because it would not
> > scale to inject large numbers of /128's into the global Internet routing system.
>
> The thing is that if they don't represent a location in the network
> topology, they don't seem to qualify as an address, anyway.
>
> An address is supposed to be a topologically-dependent identifier --
> i.e., to convey information of location ("where?").
>
> Thanks,
> --
> Fernando Gont
> SI6 Networks
> e-mail: [email-masked]<mailto:[email-masked]>
> PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492
>
>
>

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]<mailto:[email-masked]>
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

--
===============================================
David Farmer               Email:[email-masked]<mailto:[email-masked]>
Networking & Telecommunication Services
Office of Information Technology
University of Minnesota
2218 University Ave SE        Phone: 612-626-0815
Minneapolis, MN 55414-3029   Cell: 612-812-9952
===============================================

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Fri, 19 Feb 2021 14:38:40 +0000

I can see this discussion has wrapped back on itself somewhat, but please do not
be too quick to write off MANETs. With new use cases like Urban Air Mobility and
Intelligent Transportation Systems, MANETs (or, Vehicular Ad-hoc Networks
(VANETs)) will provide a common access network paradigm that is multihop
internally and only intermittently connected to the global Internet.

When the MANET is detached from the global Internet, mobile nodes will need
some form of multihop-compatible IPv6 address for MANET-local communications,
and HITs seem like a good fit.

When the MANET connects to the global Internet, mobile nodes can get a prefix
delegation from an infrastructure element such as a roadside unit and use true
GUAs to talk to Internet nodes beyond the MANET.

So, a mobile node will have a decision point about whether to use HITs or GUAs
and it seems like that needs to be somehow represented in the hierarchy of
available addresses - even if as some special case.

Fred

> From: ipv6 [mailto:[email-masked]] On Behalf Of Brian E Carpenter
> Sent: Thursday, February 18, 2021 4:36 PM
> To: Fernando Gont <[email-masked]>; Manfredi (US), Albert E <[email-masked]>
> Cc: IPv6 Operations <[email-masked]>; [email-masked]
> So, my thought (and it belongs on this thread OR the 'IPv6 addressing: Gaps?' one) is something like:
> 
> We should abolish, delete, expunge and deprecate the word "scope" from all IPv6 documents. It clearly doesn't have an agreed
> meaning, so it is worse than useless.
> 
> All addresses have a region of reachability. This may be confined to a single "link" (whatever a "link" means), some type of limited
> domain (such as, but not limited to, a "site" (whatever a "site" means)), or to a large part of the Internet as a whole (knowing that
> there is in reality no such thing as "the" Internet.)
> 
> LL addresses MUST NOT be used off a given L2 link.
> ULAs MUST NOT be routed outside a given limited domain.
> GUAs MAY be routed anywhere.
> 
> (MANETs and other mesh networks don't fit in there very well.)
> 
> Regards
>    Brian
> 
> On 19-Feb-21 12:58, Fernando Gont wrote:
> > On 18/2/21 20:39, Manfredi (US), Albert E wrote:
> >> From: ipv6 <[email-masked]> On Behalf Of Fernando Gont
> >>
> >>> Well, this is a spec inconsistency. You have one spec (RFC4007) defining
> >> "scope" and "global scope", and another specs:
> >>>
> >>> a) making use of the same terms in an incorrect way, or,
> >>>
> >>> b) employing same terms but with a different definition.
> >>>
> >>> i.e., either the definition in RFC4007 is incorrect, or the use in
> >> RFC4193 and implicit use in RFC4291 is incorrect.
> >>
> >> You can also argue, if there are prefix bits sent in the clear, and those prefix bits are used to send the packets to a pre-determined
> gateway, and that gateway is then used to decrypt all of the remaining address bits, then route packets through a walled garden
> intranet with global span, then global scope could still apply.
> >
> > "global span" is defined as "Internet-wide" span. i.e., if an address
> > does not unambiguously specify an interface Internet-wide, it's not
> > global scope as per RFC4007.
> >
> >
> >
> >> Just sayin'. These still aren't like RFC 1918.
> >
> > The only practical differences I see with respect to rfc1918 are:
> >
> > 1) ULAs are not intended to be used with NAT.
> > However, were RFC1918 strictly specified to be employed along with NAT?
> > Besides "not indended" != "won't be".
> >
> > 2) ULAs are intended to have a small probability of collision when a
> > subset of ULA-based networks are interconnected.
> >
> > This is the product of mandating that some bits are generated from a
> > PRNG, plus the fact that ULAs have more bits than their RFC1918 counterpart.
> >
> > If I have missed any other differences, please enlighten me. :-)
> >
> > Thanks,
> >
> 
> [email-masked]